%define so_ver 6.2.0

Name:           libesmtp
Version:        1.1.0
Release:        1
Summary:        A library for posting electronic mail
License:        LGPLv2+

URL:            https://libesmtp.github.io/
Source:         https://github.com/libesmtp/libESMTP/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         backport-add_ntlm.patch
BuildRequires:  gcc openssl-devel pkgconfig meson >= 0.50.0 libtool

%description
%{name} is an SMTP client which manages posting (or submission of) electronic
mail via a preconfigured Mail Transport Agent (MTA). It may be used as part of
a Mail User Agent (MUA) or other program that must be able to post electronic
mail where mail functionality may not be that program's primary purpose.

%package 	devel
Summary:	Header and development files for %{name}
License:	LGPLv2+ and GPLv2+
Requires:	%{name} = %{version}-%{release}, openssl-devel

%description 	devel
%{name}-devel contains the header files for developing
applications that want to make use of %{name}.

%package_help

%prep
%autosetup -n libESMTP-%{version} -p1

%build
%meson
%meson_build

cat << "EOF" > %{name}-config
#! /bin/sh
exec pkg-config "$@" libesmtp
EOF

%install
%meson_install
install -p -m 755 -D %{name}-config %{buildroot}%{_bindir}/%{name}-config

%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license LICENSE
%{_libdir}/esmtp-plugins-%{so_ver}
%{_libdir}/libesmtp.so.%{so_ver}

%files devel
%defattr(-,root,root)
%doc examples
%{_bindir}/%{name}-config
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libesmtp-1.0.pc
%{_prefix}/include/*.h

%files help
%defattr(-,root,root)
%doc README.md docs/*

%changelog
* Fri Aug 04 2023 xingwei <xingwei14@h-partners.com> - 1.1.0-1
- Type:requirements
- ID:NA
- SUG:NA
- DESC:update libesmtp to 1.1.0

* Fri Sep 11 2020 lunankun <lunankun@huawei.com> - 1.0.6-20
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix source0 url

* Mon Apr 20 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.0.6-19
- Type:cves
- ID:CVE-2019-19977
- SUG:NA
- DESC:remove ntlm_build_type_2() to fix CVE-2019-19977
 
* Mon Oct 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.6-18
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:modify the location of COPYING

* Sun Sep 15 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.6-17
- Package init
